Loading...
Searching...
No Matches
janus_audiobridge_participant Struct Reference
Collaboration diagram for janus_audiobridge_participant:
[legend]

## Data Fields

janus_audiobridge_session * | session
janus_audiobridge_room * | room
guint64 | user_id
gchar * | user_id_str
gchar * | display
gboolean | admin
gboolean | prebuffering
uint | prebuffer_count
volatile gint | active
volatile gint | encoding
volatile gint | decoding
gboolean | muted
int | volume_gain
int32_t | opus_bitrate
int | opus_complexity
gboolean | stereo
int | spatial_position
GList * | inbuf
GAsyncQueue * | outbuf
gint64 | last_drop
janus_mutex | qmutex
int | opus_pt
int | extmap_id
int | dBov_level
int | audio_active_packets
int | audio_dBov_sum
int | user_audio_active_packets
int | user_audio_level_average
gboolean | talking
janus_rtp_switching_context | context
janus_audiocodec | codec
gboolean | plainrtp
janus_audiobridge_plainrtp_media | plainrtp_media
janus_mutex | pmutex
OpusEncoder * | encoder
OpusDecoder * | decoder
gboolean | fec
int | expected_loss
uint16_t | expected_seq
uint16_t | probation
uint32_t | last_timestamp
gboolean | reset
GThread * | thread
gboolean | mjr_active
gchar * | mjr_base
janus_recorder * | arc
uint | group
janus_mutex | rec_mutex
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## active

volatile gint janus_audiobridge_participant::active

## admin

gboolean janus_audiobridge_participant::admin

## arc

janus_recorder* janus_audiobridge_participant::arc

## audio_active_packets

int janus_audiobridge_participant::audio_active_packets

## audio_dBov_sum

int janus_audiobridge_participant::audio_dBov_sum

## codec

janus_audiocodec janus_audiobridge_participant::codec

## context

janus_rtp_switching_context janus_audiobridge_participant::context

## dBov_level

int janus_audiobridge_participant::dBov_level

## decoder

OpusDecoder* janus_audiobridge_participant::decoder

## decoding

volatile gint janus_audiobridge_participant::decoding

## destroyed

volatile gint janus_audiobridge_participant::destroyed

## display

gchar* janus_audiobridge_participant::display

## encoder

OpusEncoder* janus_audiobridge_participant::encoder

## encoding

volatile gint janus_audiobridge_participant::encoding

## expected_loss

int janus_audiobridge_participant::expected_loss

## expected_seq

uint16_t janus_audiobridge_participant::expected_seq

## extmap_id

int janus_audiobridge_participant::extmap_id

## fec

gboolean janus_audiobridge_participant::fec

## group

uint janus_audiobridge_participant::group

## inbuf

GList* janus_audiobridge_participant::inbuf

## last_drop

gint64 janus_audiobridge_participant::last_drop

## last_timestamp

uint32_t janus_audiobridge_participant::last_timestamp

## mjr_active

gboolean janus_audiobridge_participant::mjr_active

## mjr_base

gchar* janus_audiobridge_participant::mjr_base

## muted

gboolean janus_audiobridge_participant::muted

## opus_bitrate

int32_t janus_audiobridge_participant::opus_bitrate

## opus_complexity

int janus_audiobridge_participant::opus_complexity

## opus_pt

int janus_audiobridge_participant::opus_pt

## outbuf

GAsyncQueue* janus_audiobridge_participant::outbuf

## plainrtp

gboolean janus_audiobridge_participant::plainrtp

## plainrtp_media

janus_audiobridge_plainrtp_media janus_audiobridge_participant::plainrtp_media

## pmutex

janus_mutex janus_audiobridge_participant::pmutex

## prebuffer_count

uint janus_audiobridge_participant::prebuffer_count

## prebuffering

gboolean janus_audiobridge_participant::prebuffering

## probation

uint16_t janus_audiobridge_participant::probation

## qmutex

janus_mutex janus_audiobridge_participant::qmutex

## rec_mutex

janus_mutex janus_audiobridge_participant::rec_mutex

## ref

janus_refcount janus_audiobridge_participant::ref

## reset

gboolean janus_audiobridge_participant::reset

## room

janus_audiobridge_room* janus_audiobridge_participant::room

## session

janus_audiobridge_session* janus_audiobridge_participant::session

## spatial_position

int janus_audiobridge_participant::spatial_position

## stereo

gboolean janus_audiobridge_participant::stereo

## talking

gboolean janus_audiobridge_participant::talking

## thread

GThread* janus_audiobridge_participant::thread

## user_audio_active_packets

int janus_audiobridge_participant::user_audio_active_packets

## user_audio_level_average

int janus_audiobridge_participant::user_audio_level_average

## user_id

guint64 janus_audiobridge_participant::user_id

## user_id_str

gchar* janus_audiobridge_participant::user_id_str

## volume_gain

int janus_audiobridge_participant::volume_gain

The documentation for this struct was generated from the following file:

- janus_audiobridge.c